set terminal latex
set terminal postscript portrait
set output "speedup_1d.ps"
set data style linespoints
set size  3.5/5,3/3
set format y "%g"
set format x "%g"
set title "4505600 particles and 16K Grid Points "
set xlabel "Number of Processors"
set ylabel "Speedup"
set xrange [0:32]
set yrange [0:32]
set autoscale
set key 15, 30
set xtics (1,2,4,8,16,32)
set ytics (1,2,4,8,16,32)
p1(x) = 1818.0/x
#p2(x) = 4453.8/x
plot x title "Linear" with lines , "hpf_1d.dat" thru p1(x)\
 title "HPF"  with linespoints 2 3 ,\
 "mpl_1d.dat" thru p1(x) title   "MPL" \
 with linespoints 3 4\
